import { Token, TokenDecoder } from '../auth-toolbox';
import { DefaultTokenDecoder } from './default-token-decoder';
/**
 * {@link TokenDecoder} based on jsonwebtoken package to be used with JWT {@link Token}.
 * It check expiration dates from both server response and JWT `exp` claim, and supports decoding
 * of the JWT token.
 *
 * It should be given to {@link Auth} constructor through {@link AuthOptions.accessTokenDecoder}.
 */
export declare class JwtTokenDecoder extends DefaultTokenDecoder implements TokenDecoder {
    constructor(expiredOffset?: number);
    decode(token: Token): any;
    isExpired(token: Token): boolean;
}
